%define upstream_name    File-FcntlLock
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    File locking with fcntl()
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(DynaLoader)
BuildRequires: perl(Errno)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POSIX)
BuildRequires: perl-devel
%description
File locking in Perl is usually done using the the flock() manpage
function. Unfortunately, this only allows locks on whole files and is often
implemented in terms of the flock(2) manpage, which has some shortcomings.

Using this module file locking via the fcntl(2) manpage can be done
(obviously, this restricts the use of the module to systems that have a the
fcntl(2) manpage system call). Before a file (or parts of a file) can be
locked, an object simulating a flock structure must be created and its
properties set. Afterwards, by calling the 'lock()' method a lock can be
set or it can be determined if and which process currently holds the lock.

To create a new object representing a flock structure call 'new()':

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-3.mga3
+ Revision: 367180
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.140.0-2.mga3
+ Revision: 250624
- rebuild for perl 5.16

* Wed Nov 09 2011 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 165776
- do not ship MYMETA
- update to 0.14

* Thu Oct 13 2011 jquelin <jquelin> 0.130.0-1.mga2
+ Revision: 154293
- update to 0.13

* Sun Jun 12 2011 sander85 <sander85> 0.120.0-4.mga2
+ Revision: 104267
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 0.120.0-3.mga1
+ Revision: 30288
- mageia rebuild
- imported package perl-File-FcntlLock

